Subject: Re: [PATCH 3/3] mpc52xx/wdt: WDT uses GPT api

From: Albrecht Dreß <[email-masked]>
Date: Tue, 10 Nov 2009 21:26:17 +0100

Hi Grant:

Am 10.11.09 20:59 schrieb(en) Grant Likely:
> On Tue, Nov 10, 2009 at 12:43 PM, Albrecht Dreß <[email-masked]> wrote:
> > Use the MPC5200 GPT api for the WDT which drastically simplifies this file.
> >
> > Signed-off-by: Albrecht Dreß <[email-masked]>
> > ---
> >
> >  drivers/watchdog/mpc5200_wdt.c |  246 +++++++++++-----------------------------
> >  1 files changed, 65 insertions(+), 181 deletions(-)
> 
> 
> Can the WDT functionality just be merged entirely into
> arch/powerpc/platforms/52xx/mpc52xx_gpt.c, eliminating the need for
> this file entirely?  I think I'd rather have all the GPT "built in"
> behaviour handled by a single driver.

I also thought about it, as it has IMHO the cleaner code, and it would have the extra benefit that the gpt-wdt api doesn't need to be public.

However, the reasons I hesitated to do so are:
- I don't want to remove a file someone else wrote (even it doesn't work);
- WDT code is shifted from drivers/watchdog to arch/powerpc/platforms/52xx which might not be the "logical" place from the directory layout's pov;
- a file living in arch/powerpc/platforms/52xx depends upon config options set from drivers/watchdog/Kconfig which may be confusing.

You see these are more political/cosmetical questions, so I would prefer to leave the decision to the maintainers (i.e. you and Wim).  Preparing a fully merged driver is actually a matter of minutes!

Thanks,
Albrecht.